EXEC [dbo].[__AddStoredProcInfo]
    /* StoredProc_Name         */ 'Jobs_GetJobHistory',
    /* Internal_Indicator      */ 'N',
    /* ReturnType_Name         */ 'DataTable',
    /* DataTableNames_Csv      */ 'Executions_Extended',
    /* OutputPropertyNames_Csv */ NULL,
    /* Description_Text        */ 'Gets the specified jobs in the system.'
GO


IF OBJECT_ID('[Jobs_GetJobHistory]') IS NOT NULL DROP PROCEDURE [Jobs_GetJobHistory]
GO

SET QUOTED_IDENTIFIER ON
GO

CREATE PROCEDURE [Jobs_GetJobHistory]
(
    @Execution_Count INT = NULL,
    @Server_Id INT = NULL,
    @ExecutionStatus_Code CHAR(1) = NULL
)   
AS
BEGIN

    SET NOCOUNT ON

    IF @Execution_Count IS NOT NULL
        SET ROWCOUNT @Execution_Count

	SELECT * 
	  FROM [Executions_Extended]
     WHERE [Job_Id] IS NOT NULL
       AND (@Server_Id IS NULL OR [Server_Id] = @Server_Id)
       AND (@ExecutionStatus_Code IS NULL OR [ExecutionStatus_Code] = @ExecutionStatus_Code)
     ORDER BY [Execution_Id] DESC

END
GO

GRANT EXECUTE ON [Jobs_GetJobHistory] TO [OtterUser_Role]