EXEC [dbo].[__AddStoredProcInfo]
    /* StoredProc_Name         */ 'Servers_SetConfigurationStatus',
    /* Internal_Indicator      */ 'N',
    /* ReturnType_Name         */ 'void',
    /* DataTableNames_Csv      */ NULL,
    /* OutputPropertyNames_Csv */ NULL,
    /* Description_Text        */ 'Updates the status of a configuration item on a server.'
GO


IF OBJECT_ID('[Servers_SetConfigurationStatus]') IS NOT NULL DROP PROCEDURE [Servers_SetConfigurationStatus]
GO

SET QUOTED_IDENTIFIER ON
GO

CREATE PROCEDURE [Servers_SetConfigurationStatus]
(
	@Server_Id INT,
	@ServerConfigurationType_Name NVARCHAR(50),
    @ServerConfigurationKey_Name NVARCHAR(255),
	@ServerConfiguration_Status_Code CHAR(1)
)
AS
BEGIN

SET NOCOUNT ON

BEGIN TRY
	BEGIN TRANSACTION

        UPDATE [ServerConfigurations]
           SET [ServerConfiguration_Status_Code] = @ServerConfiguration_Status_Code
         WHERE [Server_Id] = @Server_Id
		   AND [ServerConfigurationType_Name] = @ServerConfigurationType_Name
		   AND [ServerConfigurationKey_Name] = @ServerConfigurationKey_Name

	COMMIT
END TRY BEGIN CATCH
	IF XACT_STATE()<>0 ROLLBACK
	EXEC [HandleError]
END CATCH


END
GO

GRANT EXECUTE ON [Servers_SetConfigurationStatus] TO [OtterUser_Role]
